openvas-nasl_9.0.3-1build1_amd64.deb


Advertisement

Description

openvas-nasl - remote network security auditor - nasl tool

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename openvas-nasl_9.0.3-1build1_amd64.deb
Package name openvas-nasl
Package version 9.0.3
Package release 1build1
Package architecture amd64
Package type deb
Category universe/net
Homepage http://www.openvas.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 11.50 KB
Installed size 56.00 KB
The Open Vulnerability Assessment System is a modular security auditing
tool, used for testing remote systems for vulnerabilities that should be
fixed.
It is made up of two parts: a server, and a client. The server/daemon,
openvasd, is in charge of the attacks, whereas the client,
OpenVAS-Client, provides an X11/GTK+ user interface.
This package contains the openvas-nasl tool used to execute NASL scripts
against hosts.

Alternatives

Package Version Architecture Repository
openvas-nasl_9.0.3-1build1_i386.deb 9.0.3 i386 Ubuntu Universe
openvas-nasl - - -

Requires

Name Value
libc6 >= 2.4
libgcrypt20 >= 1.8.0
libglib2.0-0 >= 2.16.0
libgnutls30 >= 3.6.3
libgpgme11 >= 1.2.0
libopenvas9 >= 9.0.2
libssh-4 >= 0.8.0

Replaces

Name Value
libopenvas-dev << 9.0.1-4
libopenvas9 << 9.0.1-4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package openvas-nasl_9.0.3-1build1_amd64.deb
Source Package openvas-libraries

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install openvas-nasl deb package:
    # sudo apt-get install openvas-nasl

Files

Path
/usr/bin/openvas-nasl
/usr/bin/openvas-nasl-lint
/usr/share/doc/openvas-nasl/changelog.Debian.gz
/usr/share/doc/openvas-nasl/copyright
/usr/share/man/man1/openvas-nasl-lint.1.gz
/usr/share/man/man1/openvas-nasl.1.gz

Changelog

2018-11-12 - Steve Langasek <steve.langasek@ubuntu.com>
openvas-libraries (9.0.3-1build1) disco; urgency=medium
* No-change rebuild against libhiredis0.14
2018-08-31 - SZ Lin (林上智) <szlin@debian.org>
openvas-libraries (9.0.3-1) unstable; urgency=medium
* Import new upstream release
* d/control:
- Bump Standards-Version to 4.2.1
* Remove fix-spelling-error.patch
* Add patch to fix undeclared issue on hurd i386 platform
* Add upstream metadata
2018-07-10 - Sophie Brun <sophie@freexian.com>
openvas-libraries (9.0.2-1) unstable; urgency=medium
* Team upload.
* Update debian/watch and debian/control with new upstream github repository
* New upstram release
* Update date in debian/copyright
* Remove allow-radcli-in-addition-to-freeradius-client-to-provide-.patch
* Remove useless debian/libopenvas-doc.lintian-overrides
* Update debian/libopenvas9.symbols
* Add a fix-spelling-error.patch
* Add Breaks: openvas-scanner (<< 5.1.2~)
2018-05-04 - SZ Lin (林上智) <szlin@debian.org>
openvas-libraries (9.0.1-5) unstable; urgency=medium
[ Lukas Schwaighofer ]
* Only generate doxygen documentation when building Architecture: all
packages.
[ SZ Lin (林上智) ]
* Converting git-dpm to gbp pq
* Fix PATH_MAX undeclared issue on hurd-i386 platform
* Remove "pcap-config --libs" workaround (Closes: #877435)
* allow radcli in addition to freeradius-client to provide radius
authentication support (Closes: #868677)
* d/control: bump Standards-Version to 4.1.4
*            bump debhelper to 11
* d/compat: bump compat to 11
2017-09-25 - SZ Lin (林上智) <szlin@debian.org>
openvas-libraries (9.0.1-4) unstable; urgency=medium
[ SZ Lin (林上智) ]
* Fix FTBFS issue by trailing whitespace in PCAP_LDFLAGS (Closes: #876093)
* Bump Standards-Version to 4.1.0
[ ChangZhuo Chen (陳昌倬) ]
* Bump compat to 10.
* Migrate to use dh_missing.
* Install manual for openvas-nasl-lint.
[ Lukas Schwaighofer ]
* cleanup for compat 10
* no longer pass `--parallel` and `--with systemd` to dh, these options
have become the default
* no longer depend on dh-systemd (which is part of debhelper now)
* debian/control cleanup
* remove unnecessary version constraints from dependencies
* remove Replaces/Conflicts with versions no longer present in the archive
* radius support was dropped, no longer Build-Depend on libradcli-dev
* use https for the link to the copyright format
* move the openvas-nasl tool into a separate package
* mark libopenvas9 as Multi-Arch: same, drop obsolete Pre-Depends
* override the soname mismatch lintian warning
* do not select the "release" cmake type
* we do not want -O3 and some other options that are automatically added
* however, due to otherwise excessive debug logging, -DNDEBUG is preserved
* explicitly set DEB_HOST_MULTIARCH in debian/rules
* add a libopenvas-doc package containing the doxygen documentation
2017-06-29 - SZ Lin (林上智) <szlin@debian.org>
openvas-libraries (9.0.1-3) unstable; urgency=medium
* re-enable net-snmp support (Closes: #848080)
2017-06-20 - SZ Lin (林上智) <szlin@debian.org>
openvas-libraries (9.0.1-2) unstable; urgency=medium
* Move package from experimental to sid archive
* Bump standards version to 4.0.0
2017-03-22 - SZ Lin (林上智) <szlin@debian.org>
openvas-libraries (9.0.1-1~exp1) experimental; urgency=medium
* Import new upstream release
2016-11-14 - SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
openvas-libraries (9.0.0-1~exp1) experimental; urgency=medium
* Import new upstream release
2016-10-07 - SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
openvas-libraries (8.0.8-1) unstable; urgency=medium
* Import new upstream release

See Also

Package Description
openvas-scanner_5.1.3-2_amd64.deb remote network security auditor - scanner
openvas_9.0.3_all.deb remote network security auditor - dummy package
openvpn-auth-ldap_2.0.3-6.1ubuntu3_amd64.deb OpenVPN LDAP authentication module
openvpn-auth-radius_2.1-7_amd64.deb OpenVPN RADIUS authentication module
openvpn-systemd-resolved_1.2.7-1_amd64.deb integrates OpenVPN with systemd-resolved
openvswitch-pki_2.11.0-0ubuntu2_all.deb Open vSwitch public key infrastructure dependency package
openvswitch-test_2.11.0-0ubuntu2_all.deb Open vSwitch test package
openvswitch-testcontroller_2.11.0-0ubuntu2_amd64.deb Simple controller for testing OpenFlow setups
openvswitch-vtep_2.11.0-0ubuntu2_amd64.deb Open vSwitch VTEP utilities
openwince-include_0.3.2-4_amd64.deb Common include files for the open wince project
openwince-jtag_0.5.1-7build1_amd64.deb allows programming jtag capable devices such as CPUs or FPGAs
openwsman_2.6.5-0ubuntu3_amd64.deb Open Web Services Manager
openyahtzee_1.9.3-2_amd64.deb classic dice game of Yahtzee
opgpcard_0.1.4-1_all.deb tool to create printable business cards including OpenPGP
ophcrack-cli_3.8.0-2_amd64.deb Microsoft Windows password cracker using rainbow tables (cmdline)
Advertisement
Advertisement